/*
  @description:订单计划-工作流配置
  @Modifier:张慢慢
  @routerPath:
  @date:2021-06-18 10:00
*/
export const orderWormMixins = {
  data() {
    return {
      procurementOrderPushAuditConfig: false, // 订单管理处理待确认-推送待确认订单 true启动工作流 false普通审核
      releaseAuditConfigValue: false // 提交释放或者退回行项目 true启动工作流 false普通
    }
  },
  created() {

  },
  methods: {
    // 订单管理处理待确认-推送待确认订单工作流配置
    procurementOrderPushAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'procurement-orderPush-audit-config').then(() => {
        this.procurementOrderPushAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    },
    // 提交释放或者退回行项目工作流配置
    releaseAuditConfig() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'release-audit-config-value').then(() => {
        this.releaseAuditConfigValue = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    }
  }
}
